> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get library classid documentid attachmentid checkxref

> ###################################



## OpenAPI

````yaml /openapis/attachment.json get /library/{libraryId}/classId/{classId}/documentId/{documentId}/attachmentId/{attachmentId}/checkXref
openapi: 3.0.1
info:
  description: >-
    The AODocs REST API exposes most of the features of AODocs. It can be used
    to implement custom applications, third-party integration, bulk tools, or
                                            just to experiment with AODocs.
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: drawing
    description: Lets you list existing views, update views, create new views
paths:
  /library/{libraryId}/classId/{classId}/documentId/{documentId}/attachmentId/{attachmentId}/checkXref:
    get:
      tags:
        - drawing
      description: '###################################'
      operationId: drawing:v1.Drawing.checkXref
      parameters:
        - $ref: '#/components/parameters/domain_query_parameter'
        - $ref: '#/components/parameters/libraryId_path_parameter'
        - $ref: '#/components/parameters/classId_path_parameter'
        - $ref: '#/components/parameters/documentId_path_parameter'
        - name: attachmentId
          in: path
          description: '#################################'
          required: true
          schema:
            type: string
        - name: relationId
          in: query
          description: '#################################'
          required: false
          schema:
            type: string
        - $ref: '#/components/parameters/securityCode_query_parameter'
      responses:
        '200':
          description: A ApiXrefResolution response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiXrefResolution'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
    libraryId_path_parameter:
      name: libraryId
      in: path
      description: The ID of the library
      required: true
      schema:
        type: string
    classId_path_parameter:
      name: classId
      in: path
      description: The ID of the document class
      required: true
      schema:
        type: string
    documentId_path_parameter:
      name: documentId
      in: path
      description: The ID of the document
      required: true
      schema:
        type: string
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
  schemas:
    ApiXrefResolution:
      type: object
      properties:
        kind:
          type: string
        mainDrawing:
          $ref: '#/components/schemas/ApiDrawingReference'
        matchedAttachment:
          type: array
          items:
            $ref: '#/components/schemas/ApiDrawingReference'
        missingXrefs:
          type: array
          items:
            type: string
    ApiDrawingReference:
      type: object
      properties:
        attachmentId:
          type: string
        classId:
          type: string
        documentId:
          type: string
        domain:
          type: string
        fileName:
          type: string
        kind:
          type: string
        libraryId:
          type: string
        urn:
          type: string
        xrefPath:
          type: string
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````